summaryrefslogtreecommitdiff
path: root/t/t9107-git-svn-migrate.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2010-09-15 12:40:12 -0700
committerJunio C Hamano <gitster@pobox.com>2010-09-15 12:40:12 -0700
commite3f213c7aff9e09b3bde7253a0a922467dd13671 (patch)
treee13c2d747a8afdbd96c001d88626204f0b4d20a9 /t/t9107-git-svn-migrate.sh
parent43d268e9dd5a454abc2e6ae676202773ffd54537 (diff)
parentfd3c32c9815441ebbc3d46a3ff4ef862b3a9688c (diff)
downloadgit-e3f213c7aff9e09b3bde7253a0a922467dd13671.tar.gz
Merge branch 'jl/fix-test'
* jl/fix-test: t1020: Get rid of 'cd "$HERE"' at the start of each test t2016 (checkout -p): add missing && t1302 (core.repositoryversion): style tweaks t2105 (gitfile): add missing && t1450 (fsck): remove dangling objects tests: subshell indentation stylefix Several tests: cd inside subshell instead of around
Diffstat (limited to 't/t9107-git-svn-migrate.sh')
-rwxr-xr-xt/t9107-git-svn-migrate.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/t/t9107-git-svn-migrate.sh b/t/t9107-git-svn-migrate.sh
index 901b8e09fb..289fc313fb 100755
--- a/t/t9107-git-svn-migrate.sh
+++ b/t/t9107-git-svn-migrate.sh
@@ -6,14 +6,16 @@ test_description='git svn metadata migrations from previous versions'
test_expect_success 'setup old-looking metadata' '
cp "$GIT_DIR"/config "$GIT_DIR"/config-old-git-svn &&
mkdir import &&
- cd import &&
- for i in trunk branches/a branches/b \
- tags/0.1 tags/0.2 tags/0.3; do
- mkdir -p $i && \
- echo hello >> $i/README || exit 1
- done && \
+ (
+ cd import &&
+ for i in trunk branches/a branches/b tags/0.1 tags/0.2 tags/0.3
+ do
+ mkdir -p $i &&
+ echo hello >>$i/README ||
+ exit 1
+ done &&
svn_cmd import -m test . "$svnrepo"
- cd .. &&
+ ) &&
git svn init "$svnrepo" &&
git svn fetch &&
rm -rf "$GIT_DIR"/svn &&